#!/bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/VLAN_INTERFACE_CUI.sh
#
# Creation:     27.04.2009 OJae
# Last update:  18.10.2020 OJae
#
# Copyright (c) Olaf Jaehrling eisfair[at]ojaehrling[dot]de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    win="$p2"
    separator=''
    sellist=''
    for interf in $(/sbin/ip addr | grep "MULTICAST" | awk '{print $2}'| grep -Ewv "lo|dynamic|link|host|mngtmpaddr|global|stable-privacy" | grep -Ev "vlan" |sed s'/://')
    do
        sellist="${sellist}${separator}${interf}"
        separator=','
    done
    for interf in $(/sbin/ip addr | grep "@" | awk -F"@" '{print $1}' | awk '{print $2}')
    do
        sellist="${sellist}${separator}${interf}"
        separator=','
    done

    ece_select_list_dlg "$win" "Interface" "${sellist}"
}


#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0

